<!DOCTYPE html>
<html lang="">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Summoner Page</title>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bulma@0.9.3/css/bulma.min.css">
      <link rel="stylesheet" href="static/main.css">
  </head>

  <body>
    <div class="row">
        <div class="summoner_info">
            <div id="player_icon">
                <img src="{{ icon_id }}" alt="icon id" style="width: 200px;height: 200px"/>
                <div id = "player_info">
                    <p style="font-size: 50px"><strong>{{ player_name }}</strong></p><br>
                    <p style="font-size: 40px">Lvl:{{ summoner_level }}</p>
                </div>
            </div>
        </div>

        <div class="ranked_info">
            {% for queueType in ranked_information %}
                {% if queueType['queueType'] == 'RANKED_SOLO_5x5' %}
                    <div id="solo">
                        <img src="{{ url_for('static', filename = 'images/Emblem_' + queueType['tier'] + '.png') }}" alt="icon id" style="width: 100px;height: 100px"/>
                        <p>
                            <strong>Ranked Solo</strong><br>
                            {{ queueType['tier'] }} {{ queueType['rank'] }}
                            {{ queueType['leaguePoints'] }} LP / {{ queueType['wins'] }}W {{ queueType['losses'] }}L
                        </p>
                    </div>
                {% endif %}
                {% if queueType['queueType'] == 'RANKED_FLEX_SR' %}
                    <div id="flex">
                        <img src="{{ url_for('static', filename = 'images/Emblem_' + queueType['tier'] + '.png') }}" alt="icon id" style="width: 100px;height: 100px"/>
                        <p>
                            <strong>Ranked Flex</strong><br>
                            {{ queueType['tier'] }} {{ queueType['rank'] }}
                            {{ queueType['leaguePoints'] }} LP / {{ queueType['wins'] }}W {{ queueType['losses'] }}L
                        </p>
                    </div>
                {% endif %}
            {% endfor %}
        </div>
    </div>

    <div class="match_history">
        <ul id="blue_team">
            BLUE TEAM
            {% for matches in match_history_blue %}
                <div class="teams">
                    {% for players in matches %}
                            <li class="match">
                                <div class="champion_played">
                                    <img src="{{ url_for('static', filename = 'dragontail-12.10.1/12.10.1/img/champion/' +  players['champion']  + '.png')}}" style="width: 25px;height: 25px"/>
                                </div>
                                <div class="stats">
                                    <p>
                                        {{ players['summonerName']}}
                                        KDA: {{ players['kills'] }}/{{ players['deaths'] }}/{{ players['assists'] }}
                                        Gold: {{ players['goldEarned'] }}
                                        CS: {{ players['totalMinionsKilled'] }}
                                    </p>
                                </div>
                            </li>
                        {% endfor %}
                </div>
            {% endfor %}
        </ul>
        <ul id="red_team">
            RED TEAM
            {% for matches in match_history_red %}
                <div class="teams">
                    {% for players in matches %}
                        <li class="match">
                            <div class="champion_played">
                                <img src="{{ url_for('static', filename = 'dragontail-12.10.1/12.10.1/img/champion/' +  players['champion']  + '.png')}}" style="width: 25px;height: 25px"/>
                            </div>
                            <div class="stats">
                                <p>
                                    {{ players['summonerName']}}
                                    KDA: {{ players['kills'] }}/{{ players['deaths'] }}/{{ players['assists'] }}
                                    Gold: {{ players['goldEarned'] }}
                                    CS: {{ players['totalMinionsKilled'] }}
                                </p>
                            </div>
                        </li>
                    {% endfor %}
                </div>
            {% endfor %}
        </ul>
    </div>
  </body>
</html>